Skip to main content
Doubao Seed 2.0 Pro is a chat model available through AnyFast via an OpenAI-compatible interface. ByteDance’s flagship Seed 2.0 Pro model with the strongest reasoning capabilities.

Key capabilities

  • OpenAI-compatible — Works as a drop-in replacement with the OpenAI SDK
  • Strongest Reasoning — Best-in-class for complex, multi-step tasks
  • Deep Analysis — Excels at research, planning, and detailed problem solving
  • Streaming — Supports real-time token streaming via SSE

Quick example

curl https://www.anyfast.ai/v1/chat/completions \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "doubao-seed-2.0-pro",
    "messages": [
      { "role": "user", "content": "Explain quantum entanglement in simple terms." }
    ]
  }'

Parameters

ParameterTypeRequiredDescription
modelstringYesMust be doubao-seed-2.0-pro
messagesarrayYesList of { role, content } objects
max_tokensintegerNoMaximum tokens to generate
temperaturefloatNo02. Controls randomness. Default: 1
streambooleanNoEnable SSE streaming. Default: false
top_pfloatNoNucleus sampling threshold. Default: 1
stopstring / arrayNoSequences that stop generation

API Reference

View the interactive API playground for Doubao Seed 2.0 Pro.